### CONFIGURATION START ###
ENABLE_SMALL_CASH_GIVE  = True
ENABLE_MEDIUM_CASH_GIVE = True
ENABLE_BIG_CASH_GIVE    = True
ENABLE_FULL_CASH_GIVE   = True
###  CONFIGURATION END  ###
import es
import random

main = es.import_addon('random_effects')

def load():
    if ENABLE_SMALL_CASH_GIVE:
        main.register('smallcashgive', smallcash, 50)
    if ENABLE_MEDIUM_CASH_GIVE:
        main.register('mediumcashgive', mediumcash, 20)
    if ENABLE_BIG_CASH_GIVE:
        main.register('bigcashgive', bigcash, 3)
    if ENABLE_FULL_CASH_GIVE:
        main.register('fullcashgive', fullcash, 1)
    
def smallcash(player):
    effect = random.randrange(10, 500, 10)
    player.cash += effect
    player.tell('Added %s$' % effect)
    
def mediumcash(player):
    effect = random.randrange(500, 2000, 50)
    player.cash += effect
    player.tell('Added %s$' % effect)
    
def bigcash(player):
    effect = random.randrange(1000, 10000, 1000)
    player.cash += effect
    player.tell('Added %s$' % effect)
    
def fullcash(player):
    player.cash = 16000
    player.tell('Set cash to 16000$')