### CONFIGURATION START ###
ENABLE_SMALL_HURT   = True
ENABLE_MEDIUM_HURT  = True
ENABLE_BIG_HURT     = True
ENABLE_1HP          = True
###  CONFIGURATION END  ###
import es
import random

main = es.import_addon('random_effects')

def load():
    if ENABLE_SMALL_HURT:
        main.register('smallhurt', smallhurt, 50)
    if ENABLE_MEDIUM_HURT:
        main.register('mediumhurt', mediumhurt, 20)
    if ENABLE_BIG_HURT:
        main.register('bighurt', bighurt, 3)
    if ENABLE_1HP:
        main.register('1HP', onehp, 1)
    
def smallhurt(player):
    effect = random.randint(1,5)
    player.health += effect
    player.tell('%s damage!' % effect)
    
def mediumhurt(player):
    effect = random.randint(1,15)
    player.health += effect
    player.tell('%s damage!' % effect)
    
def bighurt(player):
    effect = random.randint(30,70)
    player.health += effect
    player.tell('%s damage!' % effect)
    
def onehp(player):
    player.health = 1
    player.tell('Set HP to 1!')